Subject: Re: BUG: unable to handle kernel NULL pointer dereference at 000000000000002c

From: Stefan Priebe - Profihost AG <[email-masked]>
Date: Thu, 02 Feb 2012 13:55:12 +0100

> Such a non-trivial backport has the danger of adding as many bugs as
> it is intended to fix.
> 
> Therefore I will not be attempting to make this fix feasible for
> 3.0.x-stable, sorry.
> 
> I seriously suggest that if you really are hitting this race (the
> exposure is very small, it only happens if you get redirects and
> redirects are not common for most hosts) that you move to a more
> recent kernel such as 3.1.x or 3.2.x, both of which have all the
> dependencies as well as the bug fix applied.

I fully understand that - i'm seeing this bug 2-3 times a week while
running a bunch of > 1000 servers.

I don't want to go to 3.1 or 3.2 as they're not long term.

So i'll try to make own backport. First steps done and seems to work
fine. Sadly i'm not a C programmer...

Greets

Stefan